package com.ssj.service.conch.teacher.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2018/3/1
 */
public class KownHowDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 单元id
     */
    private String knowHowId;
    /**
     * 单元名
     */
    private String knowHowName;
    /**
     * 性别(1：男，2：女)
     */
    private List<KnowHowDetail> knowHowDetailList;

    public class KnowHowDetail implements Serializable{
        private static final long serialVersionUID = 1L;
        /**
         * 知识点id
         */
        private String knowHowDetailsId;
        /**
         * 知识点名称
         */
        private String knowHowDetailsName;

        public String getKnowHowDetailsId() {
            return knowHowDetailsId;
        }

        public void setKnowHowDetailsId(String knowHowDetailsId) {
            this.knowHowDetailsId = knowHowDetailsId;
        }

        public String getKnowHowDetailsName() {
            return knowHowDetailsName;
        }

        public void setKnowHowDetailsName(String knowHowDetailsName) {
            this.knowHowDetailsName = knowHowDetailsName;
        }
    }

    public String getKnowHowId() {
        return knowHowId;
    }

    public void setKnowHowId(String knowHowId) {
        this.knowHowId = knowHowId;
    }

    public String getKnowHowName() {
        return knowHowName;
    }

    public void setKnowHowName(String knowHowName) {
        this.knowHowName = knowHowName;
    }

    public List<KnowHowDetail> getKnowHowDetailList() {
        return knowHowDetailList;
    }

    public void setKnowHowDetailList(List<KnowHowDetail> knowHowDetailList) {
        this.knowHowDetailList = knowHowDetailList;
    }
}
